Bug 1419125 - Closing terminal does not stop container with tty
Summary: Closing terminal does not stop container with tty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: atomic
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brent Baude
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 16:11 UTC by Lukas Slebodnik
Modified: 2017-04-01 17:10 UTC (History)
8 users (show)

Fixed In Version: atomic-1.16.4-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-01 17:10:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Lukas Slebodnik 2017-02-03 16:11:09 UTC
Description of problem:
The recent upgrade of atomic does not stop container with tty which was started with atomic run.

Version-Release number of selected component (if applicable):
atomic-1.15.2-2.fc26.x86_64

Reproducible:
Deterministic

Steps to Reproduce:
1. docker run -ti --name test fedora:25 bash
2. // exit from terminal (ctrl-D or type exit)
3. // ensure that container is stopped
   docker ps | grep test
4. atomic run test
5. // exit from terminal (ctrl-D or type exit)
6. // ensure that container is stopped
   docker ps | grep test


Actual results:
[root@host ~]# docker run -ti --name test fedora:25 bash
[root@a327ed937316 /]# exit

[root@host ~]# docker ps | grep test

[root@host ~]# atomic run test
test
[root@a327ed937316 /]# exit
[root@host ~]# docker ps | grep test
a327ed937316        fedora:25           "bash"              About a minute ago   Up 3 seconds                            

Expected results:
Container "test" should not be running at the end.

Additional info:
//there is not such problem with "docker start + docker attach" 

[root@host ~]# docker run -ti --name test fedora:25 bash
[root@a327ed937316 /]# exit

[root@host ~]# docker ps | grep test

[root@host ~]# docker start test
test
[root@host ~]# docker attach test
[root@a327ed937316 /]# 
[root@a327ed937316 /]# exit

[root@host ~]# docker ps | grep test

Comment 1 Lukas Slebodnik 2017-02-03 16:12:47 UTC
Side effect of this change is that the second attempt to start container fails with confusing error message:

[root@host ~]# docker stop test
test
[root@host ~]# docker stop test
test
[root@host ~]# atomic run test
test
[root@a327ed937316 /]# exit
[root@host ~]# atomic run test
expected str, bytes or os.PathLike object, not list

Comment 2 Fedora End Of Life 2017-02-28 11:10:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Brent Baude 2017-02-28 14:13:09 UTC
I was not able to reproduce this today with the latest master branch.  Are you still observing this behaviour?  Would you mind checking with the master branch?

https://github.com/projectatomic/atomic

Comment 4 Lukas Slebodnik 2017-02-28 14:35:11 UTC
IIRC it was fixed in 1.15.3-1 or +-

Comment 5 Daniel Walsh 2017-03-01 19:44:25 UTC
Fixed in atomic-1.15.3-1

Comment 6 Fedora Update System 2017-03-09 20:57:54 UTC
atomic-1.16.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ad6948192

Comment 7 Fedora Update System 2017-03-09 20:58:57 UTC
atomic-1.16.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf5944a771

Comment 8 Fedora Update System 2017-03-11 00:21:09 UTC
atomic-1.16.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf5944a771

Comment 9 Fedora Update System 2017-03-11 14:25:41 UTC
atomic-1.16.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ad6948192

Comment 10 Fedora Update System 2017-03-16 16:01:54 UTC
atomic-1.16.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8cbc792c6

Comment 11 Fedora Update System 2017-03-17 02:19:51 UTC
atomic-1.16.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8cbc792c6

Comment 12 Fedora Update System 2017-04-01 17:10:28 UTC
atomic-1.16.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.